|  | Home | Documentation | saml2__AuthnStatementType Struct Reference updated Sat Jun 9 2018 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
saml2__AuthnStatementType Struct Reference

"urn:oasis:names:tc:SAML:2.0:assertion":AuthnStatementType is a complexType with complexContent extension of XSD type "urn:oasis:names:tc:SAML:2.0:assertion":StatementAbstractType. More...

`#include <saml2.h>`

Collaboration diagram for saml2__AuthnStatementType:
[legend]

## Public Attributes
struct saml2__SubjectLocalityType * | saml2__SubjectLocality
| INHERITED FROM saml2__StatementAbstractType: More...
struct saml2__AuthnContextType * | saml2__AuthnContext
| Element reference "urn:oasis:names:tc:SAML:2.0:assertion:""urn:oasis:names:tc:SAML:2.0:assertion":AuthnContext. More...
time_t | AuthnInstant
| Attribute "AuthnInstant" of XSD type xs:dateTime. More...
char * | SessionIndex
| Attribute "SessionIndex" of XSD type xs:string. More...
time_t * | SessionNotOnOrAfter
| Attribute "SessionNotOnOrAfter" of XSD type xs:dateTime. More...

## Detailed Description

"urn:oasis:names:tc:SAML:2.0:assertion":AuthnStatementType is a complexType with complexContent extension of XSD type "urn:oasis:names:tc:SAML:2.0:assertion":StatementAbstractType.

struct saml2__AuthnStatementType operations:

- saml2__AuthnStatementType* soap_new_saml2__AuthnStatementType(struct soap*, int num) allocate and default initialize one or more values (array)
- soap_default_saml2__AuthnStatementType(struct soap*, saml2__AuthnStatementType*) default initialize members
- int soap_read_saml2__AuthnStatementType(struct soap*, saml2__AuthnStatementType*) deserialize from a source
- int soap_write_saml2__AuthnStatementType(struct soap*, saml2__AuthnStatementType*) serialize to a sink
- saml2__AuthnStatementType* soap_dup_saml2__AuthnStatementType(struct soap*, saml2__AuthnStatementType* dst, saml2__AuthnStatementType <em>src) returns deep copy of saml2__AuthnStatementType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
- soap_del_saml2__AuthnStatementType(saml2__AuthnStatementType) deep deletes saml2__AuthnStatementType data members, use only on dst after soap_dup_saml2__AuthnStatementType(NULL, saml2__AuthnStatementType *dst, saml2__AuthnStatementType *src) (use soapcpp2 -Ed)

## Member Data Documentation

time_t saml2__AuthnStatementType::AuthnInstant

Attribute "AuthnInstant" of XSD type xs:dateTime.

Required attribute.

struct saml2__AuthnContextType* saml2__AuthnStatementType::saml2__AuthnContext

Element reference "urn:oasis:names:tc:SAML:2.0:assertion:""urn:oasis:names:tc:SAML:2.0:assertion":AuthnContext.

Required element.

struct saml2__SubjectLocalityType* saml2__AuthnStatementType::saml2__SubjectLocality

INHERITED FROM saml2__StatementAbstractType:

Element reference "urn:oasis:names:tc:SAML:2.0:assertion:""urn:oasis:names:tc:SAML:2.0:assertion":SubjectLocality. Optional element.

char* saml2__AuthnStatementType::SessionIndex

Attribute "SessionIndex" of XSD type xs:string.

Optional attribute.

time_t* saml2__AuthnStatementType::SessionNotOnOrAfter

Attribute "SessionNotOnOrAfter" of XSD type xs:dateTime.

Optional attribute.

The documentation for this struct was generated from the following file:

- saml2.h